oyConfDomain_s Struct Reference
Description: C source code API documentation for the Oyranos project.
Keywords: Oyranos,Color Management,Color Management,ICC,CMS,C,doxygen,API,documentation

| Oyranos Color Management System API - Version 0.9.6

Public Member Functions | Data Fields
oyConfDomain_s Struct Reference

a ConfDomain object More...

`#include <oyranos_devices.h>`

Inheritance diagram for oyConfDomain_s:
Collaboration diagram for oyConfDomain_s:

## Public Member Functions
OYAPI oyConfDomain_s *OYEXPORT | oyConfDomain_FromReg (const char *registration_domain, oyObject_s object)
| allocate a new ConfDomain object More...
OYAPI oyConfDomain_s *OYEXPORT | oyConfDomain_Copy (oyConfDomain_s *obj, oyObject_s object)
| copy or reference a ConfDomain object More...
OYAPI int OYEXPORT | oyConfDomain_Release (oyConfDomain_s **obj)
| release and possibly deallocate a ConfDomain object More...
OYAPI const char *OYEXPORT | oyConfDomain_GetText (oyConfDomain_s *obj, const char *name, oyNAME_e type)
| obtain a UI text from a ConfDomain object More...
OYAPI const char **OYEXPORT | oyConfDomain_GetTexts (oyConfDomain_s *obj)
| obtain a list of possible UI text from a ConfDomain object More...
Public Member Functions inherited from oyStruct_s
const char * | oyStruct_GetTextFromModule (oyStruct_s *obj, oyNAME_e name_type, uint32_t flags)
| get object infos from a module More...
const char * | oyStruct_GetText (oyStruct_s *obj, oyNAME_e name_type, uint32_t flags)
| Get a text dump. More...
| oyStruct_RegisterStaticMessageFunc
| register a function for verbosity More...
| oyStruct_GetInfo
| get a additional string from a object More...
const char * | oyStructTypeToText (oyOBJECT_e type)
| Objects type to small string. More...

## Data Fields
oyOBJECT_e | type_
oyStruct_Copy_f | copy
oyStruct_Release_f | release
oyObject_s | oy_
Data Fields inherited from oyStruct_s
const oyOBJECT_e | type_
| Type of object. More...
oyStruct_Copy_f | copy
| Copy function. More...
oyStruct_Release_f | release
| Release function. More...
oyObject_s | oy_
| Oyranos internal object. More...

## Detailed Description

a ConfDomain object

Version
  Oyranos: 0.1.10

Since
  2009/12/30 (Oyranos: 0.1.10)

Date
  2009/12/30

## Field Documentation

## ◆ copy

oyStruct_Copy_f oyConfDomain_s::copy

copy function

## ◆ oy_

oyObject_s oyConfDomain_s::oy_

base object

## ◆ release

oyStruct_Release_f oyConfDomain_s::release

release function

## ◆ type_

oyOBJECT_e oyConfDomain_s::type_

struct type oyOBJECT_CONF_DOMAIN_S